al_upload_haptic_effect(3)

NAME

al_upload_haptic_effect - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    bool al_upload_haptic_effect(ALLEGRO_HAPTIC *hap,
       ALLEGRO_HAPTIC_EFFECT *effect, ALLEGRO_HAPTIC_EFFECT_ID *id)

DESCRIPTION

Uploads the haptic effect to the device. The haptic effect must have been filled in completely and correctly. You must also pass in a pointer to a user allocated ALLEGRO_HAPTIC_EFFECT_ID(3). This id can be used to control playback of the effect. Returns true if the effect was successfully uploaded, false if not.

The function al_get_max_haptic_effects(3) returns how many effects can be uploaded to the device at the same time.

The same haptic effect can be uploaded several times, as long as care is taken to pass in a different ALLEGRO_HAPTIC_EFFECT_ID(3).

SINCE

5.1.8

    [Unstable API]: Perhaps could be simplified due to limited support for all the exposed features across all of the platforms. Awaiting feedback from users.